Index: doc/AssociazioneMultipla.aux
===================================================================
--- doc/AssociazioneMultipla.aux	(revision 11)
+++ doc/AssociazioneMultipla.aux	(revision 1)
@@ -17,87 +17,43 @@
 \@writefile{lof}{\select@language{italian}}
 \@writefile{lot}{\select@language{italian}}
-\@writefile{toc}{\contentsline {section}{\numberline {1}Introduzione}{3}{section.1}}
-\newlabel{sec:introduzione}{{1}{3}{Introduzione\relax }{section.1}{}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {1.1}Oggetto}{3}{subsection.1.1}}
-\newlabel{sec:oggetto}{{1.1}{3}{Oggetto\relax }{subsection.1.1}{}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {1.2}Scopi}{3}{subsection.1.2}}
-\newlabel{sec:scopi}{{1.2}{3}{Scopi\relax }{subsection.1.2}{}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {1.3}Obiettivi supplementari}{3}{subsection.1.3}}
-\newlabel{sec:obiettivi}{{1.3}{3}{Obiettivi supplementari\relax }{subsection.1.3}{}}
-\@writefile{toc}{\contentsline {section}{\numberline {2}Scenario}{3}{section.2}}
-\newlabel{sec:scenario}{{2}{3}{Scenario\relax }{section.2}{}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {2.1}Caratteristiche del mezzo trasmissivo}{3}{subsection.2.1}}
-\newlabel{sec:mezzotrasmissivo}{{2.1}{3}{Caratteristiche del mezzo trasmissivo\relax }{subsection.2.1}{}}
-\newlabel{salti}{{2.1}{3}{Caratteristiche del mezzo trasmissivo\relax }{subsection.2.1}{}}
-\citation{80211i}
-\@writefile{toc}{\contentsline {subsection}{\numberline {2.2}Standard IEEE 802.11}{4}{subsection.2.2}}
-\newlabel{sec:80211}{{2.2}{4}{Standard IEEE 802.11\relax }{subsection.2.2}{}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {2.2.1}Accesso alla rete}{4}{subsubsection.2.2.1}}
-\newlabel{sec:accessoallarete}{{2.2.1}{4}{Accesso alla rete\relax }{subsubsection.2.2.1}{}}
-\@writefile{toc}{\contentsline {paragraph}{Associazione}{4}{section*.2}}
-\@writefile{toc}{\contentsline {paragraph}{Autenticazione}{4}{section*.3}}
-\newlabel{80211i}{{2.2.1}{4}{802.11i\relax }{section*.4}{}}
-\@writefile{toc}{\contentsline {paragraph}{802.11i}{4}{section*.4}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {2.2.2}Risparmio energetico}{4}{subsubsection.2.2.2}}
-\newlabel{sec:risparmioenergetico}{{2.2.2}{4}{Risparmio energetico\relax }{subsubsection.2.2.2}{}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {2.2.3}Vincoli temporali}{5}{subsubsection.2.2.3}}
-\newlabel{sec:vincolitemporali}{{2.2.3}{5}{Vincoli temporali\relax }{subsubsection.2.2.3}{}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {2.3}\textit  {Wireless Extensions}}{5}{subsection.2.3}}
-\newlabel{sec:wext}{{2.3}{5}{\textit {Wireless Extensions}\relax }{subsection.2.3}{}}
-\citation{defguide}
-\citation{defguide}
-\@writefile{toc}{\contentsline {subsection}{\numberline {2.4}Implementazioni}{6}{subsection.2.4}}
-\newlabel{sec:implementazioni}{{2.4}{6}{Implementazioni\relax }{subsection.2.4}{}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {2.4.1}Architettura}{6}{subsubsection.2.4.1}}
-\newlabel{sec:architettura}{{2.4.1}{6}{Architettura\relax }{subsubsection.2.4.1}{}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {2.4.2}Libert\IeC {\`a} d'azione}{6}{subsubsection.2.4.2}}
-\newlabel{sec:libert\IeC {\`a}dazione}{{2.4.2}{6}{Libertà d'azione\relax }{subsubsection.2.4.2}{}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {2.4.3}Interpretazione dello standard}{6}{subsubsection.2.4.3}}
-\newlabel{sec:interpretazionedellostandard}{{2.4.3}{6}{Interpretazione dello standard\relax }{subsubsection.2.4.3}{}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {2.5}Caso reale}{7}{subsection.2.5}}
-\newlabel{sec:casoreale}{{2.5}{7}{Caso reale\relax }{subsection.2.5}{}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {2.5.1}Il \textit  {chipset} Atheros}{7}{subsubsection.2.5.1}}
-\newlabel{sec:atheros}{{2.5.1}{7}{Il \textit {chipset} Atheros\relax }{subsubsection.2.5.1}{}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {2.5.2}Il \textit  {driver} MADWiFi}{7}{subsubsection.2.5.2}}
-\newlabel{sec:madwifi}{{2.5.2}{7}{Il \textit {driver} MADWiFi\relax }{subsubsection.2.5.2}{}}
-\@writefile{toc}{\contentsline {paragraph}{VAP}{7}{section*.5}}
-\@writefile{toc}{\contentsline {paragraph}{WDS}{7}{section*.6}}
-\@writefile{toc}{\contentsline {paragraph}{Gestione}{8}{section*.7}}
-\@writefile{toc}{\contentsline {section}{\numberline {3}Soluzioni}{8}{section.3}}
-\newlabel{sec:soluzioni}{{3}{8}{Soluzioni\relax }{section.3}{}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {3.1}Sopra il \textit  {firmware}}{8}{subsection.3.1}}
-\newlabel{sec:soprailfirmware}{{3.1}{8}{Sopra il \textit {firmware}\relax }{subsection.3.1}{}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.1.1}Descrizione}{8}{subsubsection.3.1.1}}
-\@writefile{toc}{\contentsline {paragraph}{Come}{8}{section*.8}}
-\newlabel{gabola}{{3.1.1}{8}{Gabola\relax }{section*.9}{}}
-\@writefile{toc}{\contentsline {paragraph}{Gabola}{8}{section*.9}}
-\@writefile{toc}{\contentsline {paragraph}{Architettura}{9}{section*.10}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.1.2}Vantaggi}{9}{subsubsection.3.1.2}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.1.3}Svantaggi}{9}{subsubsection.3.1.3}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {3.2}Sopra il \textit  {driver}}{10}{subsection.3.2}}
-\newlabel{sec:sopraildriver}{{3.2}{10}{Sopra il \textit {driver}\relax }{subsection.3.2}{}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.2.1}Descrizione}{10}{subsubsection.3.2.1}}
-\newlabel{sec:descrizione2}{{3.2.1}{10}{Descrizione\relax }{subsubsection.3.2.1}{}}
-\@writefile{toc}{\contentsline {paragraph}{Come}{10}{section*.11}}
-\@writefile{toc}{\contentsline {paragraph}{Interfacce}{10}{section*.12}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.2.2}Vantaggi}{10}{subsubsection.3.2.2}}
-\newlabel{vantaggi2}{{3.2.2}{10}{Vantaggi\relax }{subsubsection.3.2.2}{}}
-\citation{80211e}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.2.3}Svantaggi}{11}{subsubsection.3.2.3}}
-\newlabel{svantaggi2}{{3.2.3}{11}{Svantaggi\relax }{subsubsection.3.2.3}{}}
-\@writefile{toc}{\contentsline {section}{\numberline {4}Ottimizzazioni}{11}{section.4}}
-\newlabel{sec:ottimizzazioni}{{4}{11}{Ottimizzazioni\relax }{section.4}{}}
-\bibdata{Bibliografia}
-\bibcite{madwifi}{dsM07}
-\bibcite{wpa}{dsw07}
-\bibcite{wext}{dsWT07}
-\bibcite{defguide}{Gas05}
-\bibcite{80211}{IEE03}
-\bibcite{80211i}{IEE04}
-\bibcite{80211e}{IEE05}
-\bibcite{trac}{RRSS07}
-\bibcite{cisco}{SSBM04}
-\bibstyle{alpha}
-\citation{*}
-\@writefile{toc}{\contentsline {section}{\numberline {5}Ringraziamenti}{12}{section.5}}
-\newlabel{sec:ringraziamenti}{{5}{12}{Ringraziamenti\relax }{section.5}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {1}Introduzione}{1}{section.1}}
+\newlabel{sec:intro}{{1}{1}{Introduzione\relax }{section.1}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {1.1}Oggetto}{1}{subsection.1.1}}
+\newlabel{sec:oggetto}{{1.1}{1}{Oggetto\relax }{subsection.1.1}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {1.2}Scopi}{1}{subsection.1.2}}
+\newlabel{sec:scopi}{{1.2}{1}{Scopi\relax }{subsection.1.2}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {1.3}Obiettivi supplementari}{2}{subsection.1.3}}
+\newlabel{sec:obiettivi}{{1.3}{2}{Obiettivi supplementari\relax }{subsection.1.3}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {2}Scenario}{2}{section.2}}
+\newlabel{sec:scenario}{{2}{2}{Scenario\relax }{section.2}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.1}Caratteristiche del mezzo trasmissivo}{2}{subsection.2.1}}
+\newlabel{sec:mezzotrasmissivo}{{2.1}{2}{Caratteristiche del mezzo trasmissivo\relax }{subsection.2.1}{}}
+\newlabel{salti}{{2.1}{2}{Caratteristiche del mezzo trasmissivo\relax }{subsection.2.1}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.2}Standard IEEE 802.11}{2}{subsection.2.2}}
+\newlabel{sec:80211}{{2.2}{2}{Standard IEEE 802.11\relax }{subsection.2.2}{}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {2.2.1}Accesso alla rete}{2}{subsubsection.2.2.1}}
+\newlabel{sec:accessoallarete}{{2.2.1}{2}{Accesso alla rete\relax }{subsubsection.2.2.1}{}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {2.2.2}Risparmio energetico}{3}{subsubsection.2.2.2}}
+\newlabel{sec:risparmioenergetico}{{2.2.2}{3}{Risparmio energetico\relax }{subsubsection.2.2.2}{}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {2.2.3}Vincoli temporali}{3}{subsubsection.2.2.3}}
+\newlabel{sec:vincolitemporali}{{2.2.3}{3}{Vincoli temporali\relax }{subsubsection.2.2.3}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.3}\textit  {Wireless Extensions}}{4}{subsection.2.3}}
+\newlabel{sec:wext}{{2.3}{4}{\textit {Wireless Extensions}\relax }{subsection.2.3}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.4}Implementazioni}{4}{subsection.2.4}}
+\newlabel{sec:implementazioni}{{2.4}{4}{Implementazioni\relax }{subsection.2.4}{}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {2.4.1}Architettura}{4}{subsubsection.2.4.1}}
+\newlabel{sec:architettura}{{2.4.1}{4}{Architettura\relax }{subsubsection.2.4.1}{}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {2.4.2}Limitazioni}{4}{subsubsection.2.4.2}}
+\newlabel{sec:limitazioni}{{2.4.2}{4}{Limitazioni\relax }{subsubsection.2.4.2}{}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {2.4.3}Interpretazione dello standard}{5}{subsubsection.2.4.3}}
+\newlabel{sec:interpretazionedellostandard}{{2.4.3}{5}{Interpretazione dello standard\relax }{subsubsection.2.4.3}{}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {2.5}Caso reale}{5}{subsection.2.5}}
+\newlabel{sec:casoreale}{{2.5}{5}{Caso reale\relax }{subsection.2.5}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {3}Soluzioni}{5}{section.3}}
+\newlabel{sec:soluzioni}{{3}{5}{Soluzioni\relax }{section.3}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {4}Ottimizzazioni ulteriori per le scelte di swinging}{5}{section.4}}
+\newlabel{sec:ottimizzazioni}{{4}{5}{Ottimizzazioni ulteriori per le scelte di swinging\relax }{section.4}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {5}Bibliografia}{5}{section.5}}
+\newlabel{sec:bibliografia}{{5}{5}{Bibliografia\relax }{section.5}{}}
+\@writefile{toc}{\contentsline {section}{\numberline {6}Ringraziamenti}{5}{section.6}}
+\newlabel{sec:ringraziamenti}{{6}{5}{Ringraziamenti\relax }{section.6}{}}