Index: doc/AssociazioneMultipla.tex
===================================================================
--- doc/AssociazioneMultipla.tex	(revision 2)
+++ doc/AssociazioneMultipla.tex	(revision 4)
@@ -210,4 +210,7 @@
 che esse diventino presto lo standard \textit{de facto}.
 
+% TODO
+% introduzione alla terminologia (managed, master, ad-hoc, monitor)
+
 Accanto alle API di programmazione sono stati sviluppati anche gli
 \textit{Wireless Tools}, comodi strumenti per l'utente che intendono
@@ -248,4 +251,5 @@
 A complicare ulteriormente la situazione intervengono le limitazioni imposte
 dalle autorità delle comunicazioni di molti Paesi (si pensi all'FCC
+% http://ftp.fcc.gov/Bureaus/Engineering_Technology/Orders/2001/fcc01264.pdf
 statunitense), che richiedono la distribuzione dei trasmettitori radio
 con \textit{firmware} in forma necessariamente binaria per scongiurare
@@ -275,5 +279,5 @@
 al \ref{sec:libertàdazione}.
 Il driver \texttt{MADWiFi} è in grado sfruttare in maniera interessante le
-potenzialità offerte da questo \textit{chipset}, offrendo funzionalità non
+potenzialità fornite da questo \textit{chipset}, offrendo funzionalità non
 troppo distanti dagli scopi del presente.
 
@@ -283,5 +287,6 @@
 I \textit{chipset} \texttt{Atheros} equipaggiano i dispositivi 802.11 di alcuni
 fra i maggiori produttori di \textit{hardware} per la connettività, come
-\texttt{Linksys}, \texttt{NETGEAR} o \texttt{D-Link}.
+\texttt{Linksys}, \texttt{NETGEAR}, \texttt{D-Link}, \texttt{Orinoco},
+\texttt{Proxim} o \texttt{3Com}.
 
 Il suo \textit{firmware} consente un grado di interazione di estensione
@@ -294,13 +299,47 @@
 regolamentazioni sugli apparecchi radio. Tale componente, denominato
 \texttt{HAL} (\textit{Hardware Abstraction Layer}), interviene limitando le
-radiofrequenze operative del dispositivo, continuando a concedere le libertà
-auspicate.
+radiofrequenze operative del dispositivo, continuando comunque a concedere le
+libertà auspicate.
 
 \subsubsection{Il driver MADWifi}
 \label{sec:madwifi}
-
-%        * MADWiFi
-% :        * possibilita` offerte (modalita` multipla eterogenea)
-% .        * interfaccia verso l'alto
+A partire dallo scorso anno la spinta innovatrice di \texttt{Atheros} ha avuto
+riscontro anche nel progetto \texttt{MADWiFi}, i driver liberi per piattaforme
+Linux sviluppati inizialmente da Sam Leffler. Le novità dal nuovo HAL sono state
+sfruttate introducendo una serie di funzionalità di grande rilevanza. Il
+carattere rivoluzionario rende il progetto, come spesso capita, piuttosto
+instabile ma assai vitale.
+
+L'aspetto indubbiamente più interessante è l'introduzione della modalità
+\textbf{VAP} (\textit{Virtual Access Point}), grazie alla quale è possibile
+virtualizzare il dispositivo creando molteplici interfacce di rete operanti
+concorrentemente in maniera indipendente. Questa funzionalità è implementata
+facendo uso del medesimo livello fisico, vincolando così l'operatività dei VAP
+sullo stesso canale trasmissivo. Ciononostante, la rosa delle possibilità rimane
+ben assortita, permettendo la creazione di molteplici \textit{access point} e/o
+una (e al più una) stazione in modalità \texttt{managed} o \texttt{ad-hoc}. La
+nota modalità \texttt{monitor} viene inoltre resa inseribile in una qualsiasi
+delle configurazioni appena destritte, con la semplice aggiunta di un VAP di
+questo tipo.\\
+I vari VAP creati possono poi essere eventualmente interconnessi tramite il WDS,
+un'altra delle caratteristiche salienti del driver, che realizza un sistema di
+distribuzione basato su connessioni 802.11 fra i BSS d'interesse, siano
+essi locali (e virtualizzati) o esterni.
+% TODO
+% Chiarire il concetto di DS?
+
+Le interfacce virtuali create saranno esposte ed utilizzate in piena
+trasparenza, essendo presentate come ordinarie interfacce di rete aderenti alle
+\textit{Wireless Extensions}.
+% TODO
+% Comodità?
+
+L'alto grado di controllo permesso dal \textit{firmware} \texttt{Atheros} si
+propaga fino all'utente attraverso il \textit{driver} e i suoi numerosi
+parametri specifici, che ricordiamo essere gestibili tramite il comando
+\texttt{iwpriv} degli \textit{Wireless Tools}.
+
+%   * interfaccia verso l'alto con wlanconfig
+
 
 \section{Soluzioni}