Index: doc/AssociazioneMultipla.tex
===================================================================
--- doc/AssociazioneMultipla.tex	(revision 6)
+++ doc/AssociazioneMultipla.tex	(revision 7)
@@ -195,5 +195,6 @@
 distribuita.}
 
-In aggiunta a quanto detto, il client non potrà trascurare le \textbf{scadenze}
+In aggiunta a quanto detto, il \textit{client} non potrà trascurare le
+\textbf{scadenze}
 temporali oltre le quali i rapporti di autenticazione e associazione con i BSS
 vengono a cadere.
@@ -266,5 +267,5 @@
 Di conseguenza, il superamento di questo limite, vincolante per realizzare
 associazione multipla simultanea, sarà, in tutta la sua complessità, compito
-dell'implementatore della soluzione proposta in \ref{manca}.
+dell'implementatore della soluzione proposta in \ref{sec:soprailfirmware}.
 
 Un'altra eventuale limitazione dovuta all'interpretazione dello standard
@@ -392,5 +393,5 @@
 Uno degli aspetti più convincenti di questa soluzione è la possibilità di
 utilizzare la modalità di risparmio energetica (introdotta nella
-sezione \ref{sec:risparmioenergetico}.
+sezione \ref{sec:risparmioenergetico}).
 I ripetuti salti costringono il \textit{client} ad assenze dal canale che
 possono infatti essere spacciate senza troppa difficoltà per riposi
@@ -427,17 +428,21 @@
 \subsubsection{Vantaggi}
 \begin{description}
- \item [Perdita di dati nulla]
- \begin{math} \Leftarrow \end{math}
- i dati in arrivo vengono conservati dai BSS grazie allo sfruttamento della
- modalità di risparmio energetico (cfr. \ref{gabola}).
- \item [Prestazioni massime] \begin{math} \Leftarrow \end{math}
- l'effettiva associazione multipla minimizza il costo dei salti evitando
- riautenticazioni e riassociazioni.
- \item [Trasparenza totale] \begin{math} \Leftarrow \end{math}
- le interfacce aderenti alle \texttt{wext} nascondono completamente la realtà
- dei fatti (cfr. \ref{sec:wext}).
- \item [Punto di partenza già disponibile] \begin{math} \Leftarrow \end{math}
- \texttt{MADWiFi} implementa un sottoinsieme delle funzionalità in oggetto
- (cfr. \ref{sec:madwifi}).
+ \item [Perdita di dati nulla] :\\
+  \begin{math} \Leftarrow \end{math}
+  i dati in arrivo vengono conservati dai BSS grazie allo sfruttamento della
+  modalità di risparmio energetico (cfr. \ref{sec:risparmioenergetico} e
+  \ref{gabola}).
+ \item [Prestazioni massime] :\\
+  \begin{math} \Leftarrow \end{math}
+  l'effettiva associazione multipla minimizza il costo dei salti evitando
+  riautenticazioni e riassociazioni (cfr. \ref{sec:accessoallarete}).
+ \item [Trasparenza totale] :\\
+  \begin{math} \Leftarrow \end{math}
+  le interfacce aderenti alle \texttt{wext} nascondono completamente la realtà
+  dei fatti (cfr. \ref{sec:wext}).
+ \item [Punto di partenza già disponibile] :\\
+  \begin{math} \Leftarrow \end{math}
+  \texttt{MADWiFi} implementa un sottoinsieme delle funzionalità in oggetto
+  (cfr. \ref{sec:madwifi}).
 \end{description}
 
@@ -448,9 +453,10 @@
   aggiunta delle nuove funzionalità, mantentendo le informazioni relative agli
   stati di autenticazione associazione ed eventualmente sincronizzando la
-  presenza su un BSS ad infrastruttura con i periodi liberi da contesa; \\
+  presenza su un BSS ad infrastruttura con i periodi liberi da contesa
+  (cfr. \ref{sec:vincolitemporali});\\
   \begin{math} \Leftarrow \end{math}
   parziale reimplementazione di MAC, evitando la perdita dei \texttt{beacon},
   indispensabili per il rispetto dei vincoli temporali
-  (\ref{sec:vincolitemporali}); \\
+  (cfr. \ref{sec:vincolitemporali});\\
   \begin{math} \Leftarrow \end{math}
   complessità intrinseca dovuta al basso livello a cui si è costretti ad agire;
@@ -459,16 +465,21 @@
   forma binaria nella quale i \textit{firmware} sono sovente distribuiti che
   può costringere a noiose operazioni di ingegneria inversa.
-\item [Limitazioni prestazionali] \begin{math} \Leftarrow \end{math}
+ \item [Limitazioni prestazionali] :\\
+  \begin{math} \Leftarrow \end{math}
   i vincoli temporali dovuti ad esigenze ordinarie (mantenimento
   dell'associazione) e aggiuntive (ritiro dei dati conservati dai BSS)
-  costringono a salti indesiderati;
- \item [] \begin{math} \Leftarrow \end{math}
-%     * troppo specifico
-%       * dipendenza dalla piattaforma fw -> portabilita' minima
-% .     * necessita' di power saving
-% .     * la soluzione dipende fortemente dal firmware di riferimento, scarsa
-% .       programmabilita' di parecchie implementazioni
- \item [] \begin{math} \Leftarrow \end{math}
- 
+  costringono a salti indesiderati (cfr. \ref{sec:vincolitemporali}).
+ \item [Specificità] :\\
+  \begin{math} \Leftarrow \end{math}
+  portabilità minima a causa della dipendenza dalla piattaforma
+  \textit{hardware} sottostante;\\
+  \begin{math} \Leftarrow \end{math}
+  scarsezza di \textit{firmware} sufficientemente controllabili sui quali è
+  possibile lo sviluppo (cfr. \ref{sec:libertàdazione} e
+  \ref{sec:atheros});\\
+  \begin{math} \Leftarrow \end{math}
+  dipendenza dalla funzionalità di risparmio energetico, dal lato
+  \textit{client} come da quello BSS (cfr. \ref{sec:risparmioenergetico} e
+  \ref{gabola}).
 \end{description}
 
@@ -477,21 +488,67 @@
 
 \subsubsection{Descrizione}
-% :   * idea: cheppalle riscriversi un driver, chissenefrega degli overhead,
-% :           lavoriamo pure a livello alto
-% .   * riassociazione ad ogni cambio di BSS
-% .   * GNU/Linux e Wireless Extensions come riferimento
-% :   * forse autenticazione multipla
-% .   * interfacce virtuali wext compliant (->)
+\label{sec:descrizione2}
+
+\paragraph{Idea}
+Lo spirito con il quale questa soluzione viene concepita è quello di
+lavorare ad alto livello in piena aderenza allo standard, favorendo la
+portabilità e minimizzando, peraltro, gli sforzi implementativi.
+La scelta di interazione con un generico \textit{driver} di sistema per
+ambienti GNU/Linux risponde a queste esigenze, al prezzo della rinuncia
+all'effettività dell'associazione multipla.
+
+\paragraph{Come}
+Come accennato in \ref{sec:interpretazionedellostandard} ogni
+implementazione lega indissolubilmente i concetti di autenticazione
+e riassociazione, vanificando la speranza di mantenere autenticazioni multiple
+ed obbligando a rincarare (spesso non di poco) i costi dei salti fra i BSS.
+Un salto dal BSS1 al BSS2 consterà quindi di questa sequenza di
+operazioni: <dissociazione da BSS1, deautenticazione da BSS1,
+autenticazione con BSS2, associazione con BSS2>.
+
+% pur costringendo a pagare il
+% prezzo delle riassociazioni ad ogni cambio di BSS.
+% La genericità perseguita costringe, purtroppo, ad effettuare salti in maniera
+% alquanto inefficiente a causa del legame che intercorre in 
+% di 802.11 fra associazione e autenticazione.
+
+% .   * riassociazione e riautenticazione ad ogni cambio di BSS
+% .   * Wireless Extensions come riferimento
+%       interfacce virtuali wext
+%       compliant (->)
+
+\paragraph{? 802.1x ?}
 % .   * autenticazioni multiple a livelli superiori 802.1x (con wpa_supplicant)
+% chiarire la cosa o lasciarla come questione aperta???
 
 \subsubsection{Vantaggi}
+\label{vantaggi2}
+\begin{description}
+ \item[Facilità implementativa]:\\
+  \begin{math} \Leftarrow \end{math}
+  .
 % .   * facilita` implementativa
+ \item[Trasparenza]:\\
+  \begin{math} \Leftarrow \end{math}
+  .
 % .   * totale trasparenza grazie alle interfacce wext compliant (in questo
-% .     la cosa e` non banale, per il livello implementativo e permette il
+% .     la cosa e` _non_ banale, per il livello implementativo e permette il
 % .     comodo uso di wpa_supplicant)
+ \item[Portabilità]:\\
+  \begin{math} \Leftarrow \end{math}
+  .
 % .   * portabilita' dovuta alle interfacce unificate
+\end{description}
 
 \subsubsection{Svantaggi}
+\label{svantaggi2}
+\begin{description}
+ \item [Perdita di dati]:\\
+  \begin{math} \Leftarrow \end{math}
+  .
 %     * dataloss [ma si puo` risolvere a livelli superiori (TCP, ATM)]
+ \item [Prestazioni al limite del ridicolo]:\\
+  \begin{math} \Leftarrow \end{math}
+  .
 % :   * latenze (|assai) ingenti (con|senza) autenticazione multipla
 %       * analisi costi vago in termini di ordini di grandezza:
@@ -499,8 +556,12 @@
 %         * sincronizzazione ~ 100 ms
 %         * autenticazione (PSK)
-
+\end{description}
 \section{Ottimizzazioni ulteriori per le scelte di swinging}
 \label{sec:ottimizzazioni}
-
+% * obblighi temporali da rispettare [sincronizzazione]
+% * costi dello switch
+% * qualita' dei BSS (carico di lavoro, segnale)
+% * caratteristiche delle comunicazioni (esigenze di interattivita` o meno,
+%   priorita' ...) -> politiche di QoS di 802.11e
 \section{Bibliografia}
 \label{sec:bibliografia}