Index: doc/AssociazioneMultipla.log
===================================================================
--- doc/AssociazioneMultipla.log	(revision 7)
+++ doc/AssociazioneMultipla.log	(revision 8)
@@ -1,19 +1,16 @@
-This is pdfTeXk, Version 3.141592-1.40.3 (Web2C 7.5.6) (format=pdflatex 2007.5.10)  10 MAY 2007 17:09
+This is pdfeTeX, Version 3.141592-1.21a-2.2 (Web2C 7.5.4) (format=pdflatex 2006.8.10)  11 MAY 2007 18:13
 entering extended mode
- %&-line parsing enabled.
 **AssociazioneMultipla.tex
 (./AssociazioneMultipla.tex
-LaTeX2e <2005/12/01>
-Babel <v3.8h> and hyphenation patterns for english, usenglishmax, dumylang, noh
-yphenation, croatian, czech, slovak, danish, dutch, french, basque, french, gre
-ek, monogreek, ancientgreek, ibycus, hungarian, hungarian, italian, italian, la
-tin, latin, norsk, norsk, coptic, esperanto, estonian, icelandic, indonesian, i
-nterlingua, romanian, serbian, slovenian, turkish, uppersorbian, welsh, polish,
- polish, portuguese, portuguese, spanish, catalan, galician, spanish, catalan, 
-galician, swedish, swedish, loaded.
-(/usr/share/texmf-texlive/tex/latex/base/article.cls
-Document Class: article 2005/09/16 v1.4f Standard LaTeX document class
-(/usr/share/texmf-texlive/tex/latex/base/size10.clo
-File: size10.clo 2005/09/16 v1.4f Standard LaTeX file (size option)
+LaTeX2e <2003/12/01>
+Babel <v3.8d> and hyphenation patterns for american, french, german, ngerman, b
+ahasa, basque, bulgarian, catalan, croatian, czech, danish, dutch, esperanto, e
+stonian, finnish, greek, icelandic, irish, italian, latin, magyar, norsk, polis
+h, portuges, romanian, russian, serbian, slovak, slovene, spanish, swedish, tur
+kish, ukrainian, nohyphenation, loaded.
+(/usr/share/texmf-tetex/tex/latex/base/article.cls
+Document Class: article 2004/02/16 v1.4f Standard LaTeX document class
+(/usr/share/texmf-tetex/tex/latex/base/size10.clo
+File: size10.clo 2004/02/16 v1.4f Standard LaTeX file (size option)
 )
 \c@part=\count79
@@ -29,12 +26,12 @@
 \bibindent=\dimen102
 )
-(/usr/share/texmf-texlive/tex/generic/babel/babel.sty
-Package: babel 2005/11/23 v3.8h The Babel package
-
-(/usr/share/texmf-texlive/tex/generic/babel/italian.ldf
-Language: italian 2005/11/17 v1.2r Italian support from the babel system
-
-(/usr/share/texmf-texlive/tex/generic/babel/babel.def
-File: babel.def 2005/11/23 v3.8h Babel common definitions
+(/usr/share/texmf-tetex/tex/generic/babel/babel.sty
+Package: babel 2004/11/20 v3.8d The Babel package
+
+(/usr/share/texmf-tetex/tex/generic/babel/italian.ldf
+Language: italian 2004/02/19 v1.2p Italian support from the babel system
+
+(/usr/share/texmf-tetex/tex/generic/babel/babel.def
+File: babel.def 2004/11/20 v3.8d Babel common definitions
 \babel@savecnt=\count87
 \U@D=\dimen103
@@ -42,25 +39,23 @@
 Package babel Info: Making " an active character on input line 91.
 ))
-(/usr/share/texmf-texlive/tex/latex/base/fontenc.sty
-Package: fontenc 2005/09/27 v1.99g Standard LaTeX package
-
-(/usr/share/texmf-texlive/tex/latex/base/t1enc.def
-File: t1enc.def 2005/09/27 v1.99g Standard LaTeX file
+(/usr/share/texmf-tetex/tex/latex/base/fontenc.sty
+Package: fontenc 2004/02/22 v1.99f Standard LaTeX package
+
+(/usr/share/texmf-tetex/tex/latex/base/t1enc.def
+File: t1enc.def 2004/02/22 v1.99f Standard LaTeX file
 LaTeX Font Info:    Redeclaring font encoding T1 on input line 43.
 ))
-(/usr/share/texmf-texlive/tex/latex/base/inputenc.sty
-Package: inputenc 2006/05/05 v1.1b Input encoding file
-\inpenc@prehook=\toks14
-\inpenc@posthook=\toks15
-
-(/usr/share/texmf-texlive/tex/latex/base/utf8.def
-File: utf8.def 2006/03/30 v1.1i UTF-8 support for inputenc
+(/usr/share/texmf-tetex/tex/latex/base/inputenc.sty
+Package: inputenc 2004/02/05 v1.0d Input encoding file
+
+(/usr/share/texmf-tetex/tex/latex/base/utf8.def
+File: utf8.def 2004/02/09 v1.1b UTF-8 support for inputenc
 Now handling font encoding OML ...
 ... no UTF-8 mapping file for font encoding OML
 Now handling font encoding T1 ...
-... processing UTF-8 mapping file for font encodingT1
-
-(/usr/share/texmf-texlive/tex/latex/base/t1enc.dfu
-File: t1enc.dfu 2006/03/30 v1.1i UTF-8 support for inputenc
+... processing UTF-8 mapping file for font encoding T1
+
+(/usr/share/texmf-tetex/tex/latex/base/t1enc.dfu
+File: t1enc.dfu 2004/02/09 v1.1b UTF-8 support for inputenc
    defining Unicode char U+00A1 (decimal 161)
    defining Unicode char U+00A3 (decimal 163)
@@ -150,6 +145,4 @@
    defining Unicode char U+0130 (decimal 304)
    defining Unicode char U+0131 (decimal 305)
-   defining Unicode char U+0132 (decimal 306)
-   defining Unicode char U+0133 (decimal 307)
    defining Unicode char U+0139 (decimal 313)
    defining Unicode char U+013A (decimal 314)
@@ -209,8 +202,8 @@
 )
 Now handling font encoding OT1 ...
-... processing UTF-8 mapping file for font encodingOT1
-
-(/usr/share/texmf-texlive/tex/latex/base/ot1enc.dfu
-File: ot1enc.dfu 2006/03/30 v1.1i UTF-8 support for inputenc
+... processing UTF-8 mapping file for font encoding OT1
+
+(/usr/share/texmf-tetex/tex/latex/base/ot1enc.dfu
+File: ot1enc.dfu 2004/02/09 v1.1b UTF-8 support for inputenc
    defining Unicode char U+00A1 (decimal 161)
    defining Unicode char U+00A3 (decimal 163)
@@ -240,11 +233,11 @@
 )
 Now handling font encoding OMS ...
-... processing UTF-8 mapping file for font encodingOMS
-
-(/usr/share/texmf-texlive/tex/latex/base/omsenc.dfu
-File: omsenc.dfu 2006/03/30 v1.1i UTF-8 support for inputenc
+... processing UTF-8 mapping file for font encoding OMS
+
+(/usr/share/texmf-tetex/tex/latex/base/omsenc.dfu
+File: omsenc.dfu 2004/02/09 v1.1b UTF-8 support for inputenc
    defining Unicode char U+00A7 (decimal 167)
    defining Unicode char U+00B6 (decimal 182)
-   defining Unicode char U+00B7 (decimal 183)
+   defining Unicode char U+02D9 (decimal 729)
    defining Unicode char U+2020 (decimal 8224)
    defining Unicode char U+2021 (decimal 8225)
@@ -255,6 +248,111 @@
 Now handling font encoding U ...
 ... no UTF-8 mapping file for font encoding U
-Now handling font encoding LGR ...
-... no UTF-8 mapping file for font encoding LGR
+Now handling font encoding OT2 ...
+... processing UTF-8 mapping file for font encoding OT2
+
+(/usr/share/texmf-tetex/tex/latex/base/ot2enc.dfu
+File: ot2enc.dfu 2004/02/09 v1.1b UTF-8 support for inputenc
+   defining Unicode char U+00AB (decimal 171)
+   defining Unicode char U+00BB (decimal 187)
+   defining Unicode char U+0131 (decimal 305)
+   defining Unicode char U+0401 (decimal 1025)
+   defining Unicode char U+0402 (decimal 1026)
+   defining Unicode char U+0404 (decimal 1028)
+   defining Unicode char U+0405 (decimal 1029)
+   defining Unicode char U+0406 (decimal 1030)
+   defining Unicode char U+0408 (decimal 1032)
+   defining Unicode char U+0409 (decimal 1033)
+   defining Unicode char U+040A (decimal 1034)
+   defining Unicode char U+040B (decimal 1035)
+   defining Unicode char U+040F (decimal 1039)
+   defining Unicode char U+0410 (decimal 1040)
+   defining Unicode char U+0411 (decimal 1041)
+   defining Unicode char U+0412 (decimal 1042)
+   defining Unicode char U+0413 (decimal 1043)
+   defining Unicode char U+0414 (decimal 1044)
+   defining Unicode char U+0415 (decimal 1045)
+   defining Unicode char U+0416 (decimal 1046)
+   defining Unicode char U+0417 (decimal 1047)
+   defining Unicode char U+0418 (decimal 1048)
+   defining Unicode char U+0419 (decimal 1049)
+   defining Unicode char U+041A (decimal 1050)
+   defining Unicode char U+041B (decimal 1051)
+   defining Unicode char U+041C (decimal 1052)
+   defining Unicode char U+041D (decimal 1053)
+   defining Unicode char U+041E (decimal 1054)
+   defining Unicode char U+041F (decimal 1055)
+   defining Unicode char U+0420 (decimal 1056)
+   defining Unicode char U+0421 (decimal 1057)
+   defining Unicode char U+0422 (decimal 1058)
+   defining Unicode char U+0423 (decimal 1059)
+   defining Unicode char U+0424 (decimal 1060)
+   defining Unicode char U+0425 (decimal 1061)
+   defining Unicode char U+0426 (decimal 1062)
+   defining Unicode char U+0427 (decimal 1063)
+   defining Unicode char U+0428 (decimal 1064)
+   defining Unicode char U+0429 (decimal 1065)
+   defining Unicode char U+042A (decimal 1066)
+   defining Unicode char U+042B (decimal 1067)
+   defining Unicode char U+042C (decimal 1068)
+   defining Unicode char U+042D (decimal 1069)
+   defining Unicode char U+042E (decimal 1070)
+   defining Unicode char U+042F (decimal 1071)
+   defining Unicode char U+0430 (decimal 1072)
+   defining Unicode char U+0431 (decimal 1073)
+   defining Unicode char U+0432 (decimal 1074)
+   defining Unicode char U+0433 (decimal 1075)
+   defining Unicode char U+0434 (decimal 1076)
+   defining Unicode char U+0435 (decimal 1077)
+   defining Unicode char U+0436 (decimal 1078)
+   defining Unicode char U+0437 (decimal 1079)
+   defining Unicode char U+0438 (decimal 1080)
+   defining Unicode char U+0439 (decimal 1081)
+   defining Unicode char U+043A (decimal 1082)
+   defining Unicode char U+043B (decimal 1083)
+   defining Unicode char U+043C (decimal 1084)
+   defining Unicode char U+043D (decimal 1085)
+   defining Unicode char U+043E (decimal 1086)
+   defining Unicode char U+043F (decimal 1087)
+   defining Unicode char U+0440 (decimal 1088)
+   defining Unicode char U+0441 (decimal 1089)
+   defining Unicode char U+0442 (decimal 1090)
+   defining Unicode char U+0443 (decimal 1091)
+   defining Unicode char U+0444 (decimal 1092)
+   defining Unicode char U+0445 (decimal 1093)
+   defining Unicode char U+0446 (decimal 1094)
+   defining Unicode char U+0447 (decimal 1095)
+   defining Unicode char U+0448 (decimal 1096)
+   defining Unicode char U+0449 (decimal 1097)
+   defining Unicode char U+044A (decimal 1098)
+   defining Unicode char U+044B (decimal 1099)
+   defining Unicode char U+044C (decimal 1100)
+   defining Unicode char U+044D (decimal 1101)
+   defining Unicode char U+044E (decimal 1102)
+   defining Unicode char U+044F (decimal 1103)
+   defining Unicode char U+0451 (decimal 1105)
+   defining Unicode char U+0452 (decimal 1106)
+   defining Unicode char U+0454 (decimal 1108)
+   defining Unicode char U+0455 (decimal 1109)
+   defining Unicode char U+0456 (decimal 1110)
+   defining Unicode char U+0458 (decimal 1112)
+   defining Unicode char U+0459 (decimal 1113)
+   defining Unicode char U+045A (decimal 1114)
+   defining Unicode char U+045B (decimal 1115)
+   defining Unicode char U+045F (decimal 1119)
+   defining Unicode char U+0462 (decimal 1122)
+   defining Unicode char U+0463 (decimal 1123)
+   defining Unicode char U+0472 (decimal 1138)
+   defining Unicode char U+0473 (decimal 1139)
+   defining Unicode char U+0474 (decimal 1140)
+   defining Unicode char U+0475 (decimal 1141)
+   defining Unicode char U+04C0 (decimal 1216)
+   defining Unicode char U+2013 (decimal 8211)
+   defining Unicode char U+2014 (decimal 8212)
+   defining Unicode char U+2018 (decimal 8216)
+   defining Unicode char U+2019 (decimal 8217)
+   defining Unicode char U+201C (decimal 8220)
+   defining Unicode char U+201D (decimal 8221)
+   defining Unicode char U+2116 (decimal 8470)
+)
    defining Unicode char U+00A9 (decimal 169)
    defining Unicode char U+00AA (decimal 170)
@@ -262,5 +360,5 @@
    defining Unicode char U+00BA (decimal 186)
    defining Unicode char U+02C6 (decimal 710)
-   defining Unicode char U+02DC (decimal 732)
+   defining Unicode char U+02CA (decimal 714)
    defining Unicode char U+200C (decimal 8204)
    defining Unicode char U+2026 (decimal 8230)
@@ -268,10 +366,10 @@
    defining Unicode char U+2423 (decimal 9251)
 ))
-(/usr/share/texmf-texlive/tex/latex/hyperref/hyperref.sty
-Package: hyperref 2007/02/07 v6.75r Hypertext links for LaTeX
-
-(/usr/share/texmf-texlive/tex/latex/graphics/keyval.sty
+(/usr/share/texmf-tetex/tex/latex/hyperref/hyperref.sty
+Package: hyperref 2003/11/30 v6.74m Hypertext links for LaTeX
+
+(/usr/share/texmf-tetex/tex/latex/graphics/keyval.sty
 Package: keyval 1999/03/16 v1.13 key=value parser (DPC)
-\KV@toks@=\toks16
+\KV@toks@=\toks14
 )
 \@linkdim=\dimen104
@@ -279,158 +377,203 @@
 \Hy@pagecounter=\count89
 
-(/usr/share/texmf-texlive/tex/latex/hyperref/pd1enc.def
-File: pd1enc.def 2007/02/07 v6.75r Hyperref: PDFDocEncoding definition (HO)
+(/usr/share/texmf-tetex/tex/latex/hyperref/pd1enc.def
+File: pd1enc.def 2003/11/30 v6.74m Hyperref: PDFDocEncoding definition (HO)
 Now handling font encoding PD1 ...
 ... no UTF-8 mapping file for font encoding PD1
 )
-(/etc/texmf/tex/latex/config/hyperref.cfg
-File: hyperref.cfg 2002/06/06 v1.2 hyperref configuration of TeXLive
-)
-(/usr/share/texmf-texlive/tex/latex/oberdiek/kvoptions.sty
-Package: kvoptions 2006/08/22 v2.4 Connects package keyval with LaTeX options (
-HO)
-)
-Package hyperref Info: Option `bookmarks' set `true' on input line 2238.
-Package hyperref Info: Option `colorlinks' set `true' on input line 2238.
-Package hyperref Info: Hyper figures OFF on input line 2288.
-Package hyperref Info: Link nesting OFF on input line 2293.
-Package hyperref Info: Hyper index ON on input line 2296.
-Package hyperref Info: Plain pages OFF on input line 2303.
-Package hyperref Info: Backreferencing OFF on input line 2308.
+(/usr/share/texmf-tetex/tex/latex/hyperref/hyperref.cfg
+File: hyperref.cfg 2002/06/06 v1.2 hyperref configuration of TeXLive and teTeX
+)
+Package hyperref Info: Option `bookmarks' set `true' on input line 1830.
+Package hyperref Info: Option `colorlinks' set `true' on input line 1830.
+Package hyperref Info: Hyper figures OFF on input line 1880.
+Package hyperref Info: Link nesting OFF on input line 1885.
+Package hyperref Info: Hyper index ON on input line 1888.
+Package hyperref Info: Plain pages ON on input line 1893.
+Package hyperref Info: Backreferencing OFF on input line 1900.
 
 Implicit mode ON; LaTeX internals redefined
-Package hyperref Info: Bookmarks ON on input line 2444.
-(/usr/share/texmf-texlive/tex/latex/ltxmisc/url.sty
+Package hyperref Info: Bookmarks ON on input line 2004.
+(/usr/share/texmf-tetex/tex/latex/url/url.sty
 \Urlmuskip=\muskip10
-Package: url 2005/06/27  ver 3.2  Verb mode for urls, etc.
-)
-LaTeX Info: Redefining \url on input line 2599.
+Package: url 2004/03/15  ver 3.1  Verb mode for urls, etc.
+)
+LaTeX Info: Redefining \url on input line 2143.
 \Fld@menulength=\count90
 \Field@Width=\dimen105
 \Fld@charsize=\dimen106
-\Choice@toks=\toks17
-\Field@toks=\toks18
-Package hyperref Info: Hyper figures OFF on input line 3102.
-Package hyperref Info: Link nesting OFF on input line 3107.
-Package hyperref Info: Hyper index ON on input line 3110.
-Package hyperref Info: backreferencing OFF on input line 3117.
-Package hyperref Info: Link coloring ON on input line 3120.
-\Hy@abspage=\count91
-\c@Item=\count92
-\c@Hfootnote=\count93
+\Choice@toks=\toks15
+\Field@toks=\toks16
+Package hyperref Info: Hyper figures OFF on input line 2618.
+Package hyperref Info: Link nesting OFF on input line 2623.
+Package hyperref Info: Hyper index ON on input line 2626.
+Package hyperref Info: backreferencing OFF on input line 2633.
+Package hyperref Info: Link coloring ON on input line 2636.
+\c@Item=\count91
+\c@Hfootnote=\count92
 )
 *hyperref using driver hpdftex*
-(/usr/share/texmf-texlive/tex/latex/hyperref/hpdftex.def
-File: hpdftex.def 2007/02/07 v6.75r Hyperref driver for pdfTeX
-\Fld@listcount=\count94
-)
+(/usr/share/texmf-tetex/tex/latex/hyperref/hpdftex.def
+File: hpdftex.def 2003/11/30 v6.74m Hyperref driver for pdfTeX
+
+(/usr/share/texmf-tetex/tex/latex/psnfss/pifont.sty
+Package: pifont 2004/09/15 PSNFSS-v9.2 Pi font support (SPQR) 
+LaTeX Font Info:    Try loading font information for U+pzd on input line 63.
+
+(/usr/share/texmf-tetex/tex/latex/psnfss/upzd.fd
+File: upzd.fd 2001/06/04 font definitions for U/pzd.
+)
+LaTeX Font Info:    Try loading font information for U+psy on input line 64.
+
+(/usr/share/texmf-tetex/tex/latex/psnfss/upsy.fd
+File: upsy.fd 2001/06/04 font definitions for U/psy.
+))
+\Fld@listcount=\count93
+\@outlinefile=\write3
+)
+\@indexfile=\write4
+\openout4 = `AssociazioneMultipla.idx'.
+
+
+Writing index file AssociazioneMultipla.idx
 (./AssociazioneMultipla.aux)
 \openout1 = `AssociazioneMultipla.aux'.
 
-LaTeX Font Info:    Checking defaults for OML/cmm/m/it on input line 22.
-LaTeX Font Info:    ... okay on input line 22.
-LaTeX Font Info:    Checking defaults for T1/cmr/m/n on input line 22.
-LaTeX Font Info:    ... okay on input line 22.
-LaTeX Font Info:    Checking defaults for OT1/cmr/m/n on input line 22.
-LaTeX Font Info:    ... okay on input line 22.
-LaTeX Font Info:    Checking defaults for OMS/cmsy/m/n on input line 22.
-LaTeX Font Info:    ... okay on input line 22.
-LaTeX Font Info:    Checking defaults for OMX/cmex/m/n on input line 22.
-LaTeX Font Info:    ... okay on input line 22.
-LaTeX Font Info:    Checking defaults for U/cmr/m/n on input line 22.
-LaTeX Font Info:    ... okay on input line 22.
-LaTeX Font Info:    Checking defaults for LGR/cmr/m/n on input line 22.
-LaTeX Font Info:    Try loading font information for LGR+cmr on input line 22.
-
-(/usr/share/texmf-texlive/tex/generic/babel/lgrcmr.fd
-File: lgrcmr.fd 2001/01/30 v2.2e Greek Computer Modern
-)
-LaTeX Font Info:    ... okay on input line 22.
-LaTeX Font Info:    Checking defaults for PD1/pdf/m/n on input line 22.
-LaTeX Font Info:    ... okay on input line 22.
-
-(/usr/share/texmf-texlive/tex/latex/graphics/color.sty
-Package: color 2005/11/14 v1.0j Standard LaTeX Color (DPC)
-
-(/etc/texmf/tex/latex/config/color.cfg
-File: color.cfg 2007/01/18 v1.5 color configuration of teTeX/TeXLive
-)
-Package color Info: Driver file: pdftex.def on input line 130.
-
-(/usr/share/texmf-texlive/tex/latex/pdftex-def/pdftex.def
-File: pdftex.def 2007/01/08 v0.04d Graphics/color for pdfTeX
-\Gread@gobject=\count95
-))
-Package hyperref Info: Link coloring ON on input line 22.
-
-(/usr/share/texmf-texlive/tex/latex/hyperref/nameref.sty
-Package: nameref 2006/12/27 v2.28 Cross-referencing by name of section
-
-(/usr/share/texmf-texlive/tex/latex/oberdiek/refcount.sty
-Package: refcount 2006/02/20 v3.0 Data extraction from references (HO)
-)
-\c@section@level=\count96
-)
-LaTeX Info: Redefining \ref on input line 22.
-LaTeX Info: Redefining \pageref on input line 22.
+LaTeX Font Info:    Checking defaults for OML/cmm/m/it on input line 25.
+LaTeX Font Info:    ... okay on input line 25.
+LaTeX Font Info:    Checking defaults for T1/cmr/m/n on input line 25.
+LaTeX Font Info:    ... okay on input line 25.
+LaTeX Font Info:    Checking defaults for OT1/cmr/m/n on input line 25.
+LaTeX Font Info:    ... okay on input line 25.
+LaTeX Font Info:    Checking defaults for OMS/cmsy/m/n on input line 25.
+LaTeX Font Info:    ... okay on input line 25.
+LaTeX Font Info:    Checking defaults for OMX/cmex/m/n on input line 25.
+LaTeX Font Info:    ... okay on input line 25.
+LaTeX Font Info:    Checking defaults for U/cmr/m/n on input line 25.
+LaTeX Font Info:    ... okay on input line 25.
+LaTeX Font Info:    Checking defaults for OT2/cmr/m/n on input line 25.
+LaTeX Font Info:    Try loading font information for OT2+cmr on input line 25.
+
+(/usr/share/texmf-tetex/tex/latex/cyrillic/ot2cmr.fd
+File: ot2cmr.fd 2001/08/11 v3.2c Computer Modern Cyrillic font definitions
+)
+LaTeX Font Info:    ... okay on input line 25.
+LaTeX Font Info:    Checking defaults for PD1/pdf/m/n on input line 25.
+LaTeX Font Info:    ... okay on input line 25.
+
+(/usr/share/texmf-tetex/tex/latex/graphics/color.sty
+Package: color 1999/02/16 v1.0i Standard LaTeX Color (DPC)
+
+(/usr/share/texmf-tetex/tex/latex/graphics/color.cfg
+File: color.cfg 2005/02/03 v1.3 color configuration of teTeX/TeXLive
+)
+Package color Info: Driver file: pdftex.def on input line 125.
+
+(/usr/share/texmf-tetex/tex/latex/graphics/pdftex.def
+File: pdftex.def 2002/06/19 v0.03k graphics/color for pdftex
+\Gread@gobject=\count94
+
+(/usr/share/texmf-tetex/tex/context/base/supp-pdf.tex
+(/usr/share/texmf-tetex/tex/context/base/supp-mis.tex
+loading : Context Support Macros / Miscellaneous (2004.10.26)
+\protectiondepth=\count95
+\scratchcounter=\count96
+\scratchtoks=\toks17
+\scratchdimen=\dimen107
+\scratchskip=\skip43
+\scratchmuskip=\muskip11
+\scratchbox=\box26
+\scratchread=\read1
+\scratchwrite=\write5
+\zeropoint=\dimen108
+\onepoint=\dimen109
+\onebasepoint=\dimen110
+\minusone=\count97
+\thousandpoint=\dimen111
+\onerealpoint=\dimen112
+\emptytoks=\toks18
+\nextbox=\box27
+\nextdepth=\dimen113
+\everyline=\toks19
+\!!counta=\count98
+\!!countb=\count99
+\recursecounter=\count100
+)
+loading : Context Support Macros / PDF (2004.03.26)
+\nofMPsegments=\count101
+\nofMParguments=\count102
+\MPscratchCnt=\count103
+\MPscratchDim=\dimen114
+\MPnumerator=\count104
+\everyMPtoPDFconversion=\toks20
+)))
+Package hyperref Info: Link coloring ON on input line 25.
+ (/usr/share/texmf-tetex/tex/latex/hyperref/nameref.sty
+Package: nameref 2003/12/03 v2.21 Cross-referencing by name of section
+\c@section@level=\count105
+)
+LaTeX Info: Redefining \ref on input line 25.
+LaTeX Info: Redefining \pageref on input line 25.
 
 (./AssociazioneMultipla.out) (./AssociazioneMultipla.out)
-\@outlinefile=\write3
 \openout3 = `AssociazioneMultipla.out'.
 
 LaTeX Font Info:    External font `cmex10' loaded for size
-(Font)              <12> on input line 25.
+(Font)              <12> on input line 28.
 LaTeX Font Info:    External font `cmex10' loaded for size
-(Font)              <8> on input line 25.
+(Font)              <8> on input line 28.
 LaTeX Font Info:    External font `cmex10' loaded for size
-(Font)              <6> on input line 25.
+(Font)              <6> on input line 28.
  [1
 
-{/var/lib/texmf/fonts/map/pdftex/updmap/pdftex.map}]
+{/var/lib/texmf/fonts/map/pdftex/updmap/pdftex.map}] [2
+
+]
 LaTeX Font Info:    External font `cmex10' loaded for size
-(Font)              <7> on input line 130.
+(Font)              <7> on input line 138.
 LaTeX Font Info:    External font `cmex10' loaded for size
-(Font)              <5> on input line 130.
- [2]
-LaTeX Font Info:    Try loading font information for T1+cmtt on input line 153.
-
-
-(/usr/share/texmf-texlive/tex/latex/base/t1cmtt.fd
+(Font)              <5> on input line 138.
+LaTeX Font Info:    Try loading font information for T1+cmtt on input line 148.
+
+
+(/usr/share/texmf-tetex/tex/latex/base/t1cmtt.fd
 File: t1cmtt.fd 1999/05/25 v2.5h Standard LaTeX font definitions
-) [3] [4]
+) [3] [4] [5]
 LaTeX Font Info:    Font shape `T1/cmtt/bx/n' in size <10> not available
-(Font)              Font shape `T1/cmtt/m/n' tried instead on input line 285.
- [5] [6] [7]
-[8] [9] (./AssociazioneMultipla.aux) ) 
+(Font)              Font shape `T1/cmtt/m/n' tried instead on input line 304.
+ [6] [7] [8]
+[9] [10] (./AssociazioneMultipla.toc)
+\tf@toc=\write6
+\openout6 = `AssociazioneMultipla.toc'.
+
+ [11
+
+] (./AssociazioneMultipla.aux) ) 
 Here is how much of TeX's memory you used:
- 3278 strings out of 94234
- 43971 string characters out of 1167766
- 99746 words of memory out of 1500000
- 6465 multiletter control sequences out of 10000+50000
- 20376 words of font info for 43 fonts, out of 1200000 for 2000
- 559 hyphenation exceptions out of 8191
- 25i,8n,36p,202b,386s stack positions out of 5000i,500n,6000p,200000b,5000s
- </home/gnappo/.texmf-var/fonts/pk/ljfour
-/jknappen/ec/ectt0800.600pk> </home/gnappo/.texmf-var/fonts/pk/ljfour/jknappen/
-ec/ecbi1200.600pk> </home/gnappo/.texmf-var/fonts/pk/ljfour/jknappen/ec/ecti080
-0.600pk> </home/gnappo/.texmf-var/fonts/pk/ljfour/jknappen/ec/ecrm0800.600pk> <
-/home/gnappo/.texmf-var/fonts/pk/ljfour/jknappen/ec/ecrm0600.600pk> </home/gnap
-po/.texmf-var/fonts/pk/ljfour/jknappen/ec/ectt1000.600pk> </home/gnappo/.texmf-
-var/fonts/pk/ljfour/jknappen/ec/ecrm0700.600pk> </home/gnappo/.texmf-var/fonts/
-pk/ljfour/jknappen/ec/ecbx1000.600pk> </home/gnappo/.texmf-var/fonts/pk/ljfour/
-jknappen/ec/ecbi1000.600pk> </home/gnappo/.texmf-var/fonts/pk/ljfour/jknappen/e
-c/ecti1000.600pk> </home/gnappo/.texmf-var/fonts/pk/ljfour/jknappen/ec/ecrm1000
-.600pk> </home/gnappo/.texmf-var/fonts/pk/ljfour/jknappen/ec/ecbx1200.600pk> </
-home/gnappo/.texmf-var/fonts/pk/ljfour/jknappen/ec/ecbx1440.600pk> </home/gnapp
-o/.texmf-var/fonts/pk/ljfour/jknappen/ec/ecti0900.600pk> </home/gnappo/.texmf-v
-ar/fonts/pk/ljfour/jknappen/ec/ecrm0900.600pk> </home/gnappo/.texmf-var/fonts/p
-k/ljfour/jknappen/ec/ecbx0900.600pk> </home/gnappo/.texmf-var/fonts/pk/ljfour/j
-knappen/ec/ecrm1200.600pk> </home/gnappo/.texmf-var/fonts/pk/ljfour/jknappen/ec
-/ecti1728.600pk> </home/gnappo/.texmf-var/fonts/pk/ljfour/jknappen/ec/ecrm1728.
-600pk></usr/share/texmf-texlive/fonts/type1/bluesky/cm/cmsy10.pfb>
-Output written on AssociazioneMultipla.pdf (9 pages, 209952 bytes).
+ 3473 strings out of 94500
+ 44507 string characters out of 1175788
+ 97255 words of memory out of 1000000
+ 6543 multiletter control sequences out of 10000+50000
+ 21066 words of font info for 45 fonts, out of 500000 for 2000
+ 580 hyphenation exceptions out of 8191
+ 27i,8n,36p,294b,228s stack positions out of 1500i,500n,5000p,200000b,5000s
 PDF statistics:
- 762 PDF objects out of 1000 (max. 8388607)
- 51 named destinations out of 1000 (max. 131072)
- 257 words of extra memory for PDF output out of 10000 (max. 10000000)
-
+ 265 PDF objects out of 300000
+ 57 named destinations out of 131072
+ 249 words of extra memory for PDF output out of 65536
+</usr/share/texmf-tetex/fonts/type1/bluesky/cm/
+cmsy10.pfb> </var/cache/fonts/pk/ljfour/jknappen/ec/ectt0800.600pk> </var/cache
+/fonts/pk/ljfour/jknappen/ec/ecti0800.600pk> </var/cache/fonts/pk/ljfour/jknapp
+en/ec/ecbi1200.600pk> </var/cache/fonts/pk/ljfour/jknappen/ec/ecrm0800.600pk> <
+/var/cache/fonts/pk/ljfour/jknappen/ec/ecrm0600.600pk> </var/cache/fonts/pk/ljf
+our/jknappen/ec/ectt1000.600pk> </var/cache/fonts/pk/ljfour/jknappen/ec/ecrm070
+0.600pk> </var/cache/fonts/pk/ljfour/jknappen/ec/ecbx1000.600pk> </var/cache/fo
+nts/pk/ljfour/jknappen/ec/ecbi1000.600pk> </var/cache/fonts/pk/ljfour/jknappen/
+ec/ecti1000.600pk> </var/cache/fonts/pk/ljfour/jknappen/ec/ecbx1200.600pk> </va
+r/cache/fonts/pk/ljfour/jknappen/ec/ecbx1440.600pk> </var/cache/fonts/pk/ljfour
+/jknappen/ec/ecrm1000.600pk> </var/cache/fonts/pk/ljfour/jknappen/ec/ecti0900.6
+00pk> </var/cache/fonts/pk/ljfour/jknappen/ec/ecrm0900.600pk> </var/cache/fonts
+/pk/ljfour/jknappen/ec/ecbx0900.600pk> </var/cache/fonts/pk/ljfour/jknappen/ec/
+ecrm1200.600pk> </var/cache/fonts/pk/ljfour/jknappen/ec/ecti1728.600pk> </var/c
+ache/fonts/pk/ljfour/jknappen/ec/ecrm1728.600pk>
+Output written on AssociazioneMultipla.pdf (11 pages, 225828 bytes).