Index: doc/AssociazioneMultipla.tex
===================================================================
--- doc/AssociazioneMultipla.tex	(revision 9)
+++ doc/AssociazioneMultipla.tex	(revision 10)
@@ -322,13 +322,14 @@
 \label{sec:madwifi}
 A partire dallo scorso anno la spinta innovatrice di Atheros ha avuto riscontro
-anche nel progetto MADWiFi, i driver liberi per piattaforme Linux sviluppati
+nel progetto MADWiFi, i \textit{driver} liberi per piattaforme Linux sviluppati
 inizialmente da Sam Leffler.
-Infatti le novità introdotte dal nuovo HAL sono state sfruttate aggiungendo una
-serie di funzionalità di grande rilevanza.
+Infatti i miglioramenti introdotti dal nuovo HAL sono stati sfruttati
+per l'introduzione di una serie di funzionalità di grande rilevanza.
 Il carattere rivoluzionario rende il progetto, come spesso capita, piuttosto
 instabile ma assai vitale.
 
+\paragraph{VAP}
 L'aspetto indubbiamente più interessante è l'introduzione della modalità
-\textbf{VAP} (\textit{Virtual Access Point}), grazie alla quale è possibile
+VAP (\textit{Virtual Access Point}), grazie alla quale è possibile
 virtualizzare il dispositivo creando molteplici interfacce di rete operanti
 concorrentemente.
@@ -341,12 +342,14 @@
 delle configurazioni appena descritte, con la semplice aggiunta di un VAP di
 questo tipo.
+Le interfacce virtuali create possono essere utilizzate comodamente in piena
+trasparenza, essendo aderenti alle \textit{Wireless Extensions}.
+\paragraph{WDS}
 I vari VAP creati possono poi essere eventualmente interconnessi tramite il WDS,
 un'altra delle caratteristiche salienti del driver, che realizza un sistema di
 distribuzione basato su connessioni 802.11 fra i BSS d'interesse, siano
 essi locali (e virtualizzati) o esterni.
-
-Le interfacce virtuali create possono essere utilizzate comodamente in piena
-trasparenza, essendo aderenti alle \textit{Wireless Extensions}.
-
+Questa caratteristica risponde agilmente all'esigenza di creazione di
+interconnessioni di differenti reti senza fili.
+\paragraph{Gestione}
 L'alto grado di controllo permesso dal \textit{firmware} Atheros si propaga fino
 all'utente attraverso il \textit{driver} grazie ai suoi numerosi parametri
@@ -360,9 +363,8 @@
 \label{sec:soluzioni}
 Lo studio di fattibilità in oggetto non può che aver prodotto degli schemi di
-soluzione che coniugano le idee emerse durante la fase di analisi del problema,
-ma che si precisano essere ancora distanti dall'esaustività.
-Tali proposte di soluzione si differenziano per il livello implementativo di
-riferimento, poiché esso comporta un importante \textit{trade-off} fra
-portabilità ed efficienza.
+soluzione che coniugano le idee emerse durante la fase di analisi del problema.
+Queste proposte si differenziano per il livello implementativo di riferimento,
+poiché esso comporta un importante \textit{trade-off} fra portabilità ed
+efficienza.
 Quanto più basso, infatti, è il livello al quale si opera, tanto più alta è la
 possibilità di sfruttare appieno le potenzialità del dispositivo, a scapito
@@ -375,7 +377,6 @@
 richiedono, che costituiscono quasi interamente l'\textit{overhead} introdotto.
 
-Si procederà quindi ad illustrare due soluzioni attraverso un'attenta analisi
-che entrerà nei dettagli, dimostrando quanto appena affermato e calcolando il
-rapporto fra vantaggi e svantaggi che esse comportano.
+Si procederà quindi ad illustrare due soluzioni, dimostrando quanto appena
+affermato e calcolando il rapporto fra vantaggi e svantaggi che esse comportano.
 
 \subsection{Sopra il \textit{firmware}}
@@ -383,8 +384,7 @@
 
 \subsubsection{Descrizione}
-\paragraph{Idea}
 Questa soluzione nasce dal desiderio di realizzare associazioni multiple
-effettive, per mezzo delle quali, cioé, in un dato istante ogni BSS di interesse
-per il \textit{client} lo consideri regolarmente associato.
+effettive per mezzo delle quali, cioé, in ogni istante ciascun BSS consideri il
+\textit{client} regolarmente associato.
 Ciò che si propone consiste sostanzialmente di modifiche al \textit{driver} per
 implementare i salti fra i BSS in maniera tale da evitare la perdita di
@@ -398,6 +398,6 @@
 determinati stati interni al \textit{firmware} per modificare il comportamento
 di MAC.
-I parametri a cui si sta facendo riferimento sono quelli che regolano i rapporti
-di associazione e necessaria autenticazione della stazione: caratteristiche del
+I parametri a cui ci si riferisce sono quelli che regolano i rapporti di
+associazione e autenticazione della stazione: caratteristiche del
 BSS, caratteristiche della crittografia e dell'autenticazione in uso, eventuali
 chiavi temporanee \ldots
@@ -406,6 +406,6 @@
 \label{gabola}
 Uno degli aspetti più convincenti di questa soluzione è la possibilità di
-utilizzare la modalità di risparmio energetica (introdotta nella
-sezione \ref{sec:risparmioenergetico}).
+utilizzare la modalità di risparmio energetico (introdotta nella sezione
+\ref{sec:risparmioenergetico}), grazie all'effettività dell'associazione.
 I ripetuti salti costringono il \textit{client} ad assenze dal canale che
 possono infatti essere spacciate senza troppa difficoltà per riposi
@@ -423,5 +423,5 @@
 in entrata alla stazione e provenienti dai BSS, sia per il convogliamento di
 quelli in uscita dalla stazione e diretti ai vari BSS.
-%       TODO
+% 
 %       Grafico della faccenda
 %       OS   [] [] []
@@ -433,5 +433,6 @@
 % BSS1       .'      B1
 % BSS2     B2
-Così facendo si renderà peraltro possibile l'utilizzo di associazioni multiple
+% 
+Così facendo si rende peraltro possibile l'utilizzo di associazioni multiple
 all'interno del medesimo ESS per ridondare la partecipazione.
 La residenza del componente di gestione dei flussi multipli di comunicazione
@@ -442,18 +443,18 @@
 \subsubsection{Vantaggi}
 \begin{description}
- \item [Perdita di dati nulla] :\\
+ \item [Perdita di dati nulla]:\\
   \begin{math} \Leftarrow \end{math}
   i dati in arrivo vengono conservati dai BSS grazie allo sfruttamento della
   modalità di risparmio energetico (cfr. \ref{sec:risparmioenergetico} e
   \ref{gabola}).
- \item [Prestazioni massime] :\\
+ \item [Prestazioni massime]:\\
   \begin{math} \Leftarrow \end{math}
   l'effettiva associazione multipla minimizza il costo dei salti evitando
   riautenticazioni e riassociazioni (cfr. \ref{sec:accessoallarete}).
- \item [Trasparenza totale] :\\
+ \item [Trasparenza totale]:\\
   \begin{math} \Leftarrow \end{math}
   le interfacce aderenti alle \texttt{wext} nascondono completamente la realtà
   dei fatti (cfr. \ref{sec:wext}).
- \item [Punto di partenza già disponibile] :\\
+ \item [Punto di partenza già disponibile]:\\
   \begin{math} \Leftarrow \end{math}
   \texttt{MADWiFi} implementa un sottoinsieme delle funzionalità in oggetto
@@ -463,37 +464,37 @@
 \subsubsection{Svantaggi}
 \begin{description}
- \item [Sforzo implementativo considerevole] : \\
-  \begin{math} \Leftarrow \end{math}
-  aggiunta delle nuove funzionalità, mantentendo le informazioni relative agli
-  stati di autenticazione associazione ed eventualmente sincronizzando la
-  presenza su un BSS ad infrastruttura con i periodi liberi da contesa
-  (cfr. \ref{sec:vincolitemporali} o \ref{sec:ottimizzazioni});\\
-  \begin{math} \Leftarrow \end{math}
-  parziale reimplementazione di MAC, evitando la perdita dei \texttt{beacon},
-  indispensabili per il rispetto dei vincoli temporali
-  (cfr. \ref{sec:vincolitemporali});\\
-  \begin{math} \Leftarrow \end{math}
-  complessità intrinseca dovuta al basso livello a cui si è costretti ad agire;
-  \\
-  \begin{math} \Leftarrow \end{math}
-  forma binaria nella quale i \textit{firmware} sono sovente distribuiti che
+ \item [Sforzo implementativo considerevole]:\\
+  \begin{math} \Leftarrow \end{math}
+  le nuove funzionalità hanno un prezzo alto, dovendo mantentere le informazioni
+  relative agli stati di autenticazione associazione ed eventualmente
+  sincronizzare la presenza su un BSS ad infrastruttura con i suoi periodi
+  liberi da  contesa (cfr. \ref{sec:vincolitemporali} o
+  \ref{sec:ottimizzazioni});\\
+  \begin{math} \Leftarrow \end{math}
+  per evitare la perdita dei \texttt{beacon}, indispensabili per il rispetto
+  dei vincoli temporali, si è costretti ad una parziale reimplementazione di
+  MAC (cfr. \ref{sec:vincolitemporali});\\
+  \begin{math} \Leftarrow \end{math}
+  il basso livello a cui si è costretti ad agire implica un'intrinseca
+  complessità;\\
+  \begin{math} \Leftarrow \end{math}
+  la forma binaria nella quale i \textit{firmware} sono sovente distribuiti
   può costringere a noiose operazioni di ingegneria inversa.
- \item [Limitazioni prestazionali] :\\
+ \item [Limitazioni prestazionali]:\\
   \begin{math} \Leftarrow \end{math}
   i vincoli temporali dovuti ad esigenze ordinarie (mantenimento
   dell'associazione) e aggiuntive (ritiro dei dati conservati dai BSS)
   costringono a salti indesiderati (cfr. \ref{sec:vincolitemporali}).
- \item [Specificità] :\\
-  \begin{math} \Leftarrow \end{math}
-  portabilità minima a causa della dipendenza dalla piattaforma
-  \textit{hardware} sottostante;\\
-  \begin{math} \Leftarrow \end{math}
-  scarsezza di \textit{firmware} sufficientemente controllabili sui quali è
-  possibile lo sviluppo (cfr. \ref{sec:libertàdazione} e
-  \ref{sec:atheros});\\
-  \begin{math} \Leftarrow \end{math}
-  dipendenza dalla funzionalità di risparmio energetico, dal lato
-  \textit{client} come da quello BSS (cfr. \ref{sec:risparmioenergetico} e
-  \ref{gabola}).
+ \item [Specificità]:\\
+  \begin{math} \Leftarrow \end{math}
+  la dipendenza dalla piattaforma \textit{hardware} sottostante azzera la
+  portabilità;\\
+  \begin{math} \Leftarrow \end{math}
+  lo sviluppo è possibile solo sui rari \textit{firmware} sufficientemente
+  controllabili (cfr. \ref{sec:libertàdazione} e \ref{sec:atheros});\\
+  \begin{math} \Leftarrow \end{math}
+  il supporto alla funzionalità di risparmio energetico dal  lato
+  \textit{client} come da quello BSS è indispensabile per  l'efficienza, (cfr.
+  \ref{sec:risparmioenergetico} e \ref{gabola}).
 \end{description}
 
@@ -503,6 +504,4 @@
 \subsubsection{Descrizione}
 \label{sec:descrizione2}
-
-\paragraph{Idea}
 Lo spirito con il quale questa soluzione viene concepita è quello di lavorare ad
 alto livello in piena aderenza allo standard, favorendo la portabilità e
@@ -538,15 +537,15 @@
  \item[Facilità implementativa]:\\
   \begin{math} \Leftarrow \end{math}
-  Il livello implementativo è alto e si interagisce in maniera onesta con il
+  il livello implementativo è alto e si interagisce in maniera onesta con il
   \textit{driver}.
  \item[Trasparenza]:\\
   \begin{math} \Leftarrow \end{math}
-  La presentazione di interfacce aderenti alle \texttt{wext} oscura la presenza
+  la presentazione di interfacce aderenti alle \textsc{wext} oscura la presenza
   dell'implementazione ai livelli superiori (permettendo compatibilità, ad
   esempio, con \texttt{wpa\_supplicant}) e ne semplifica la gestione.
  \item[Portabilità]:\\
   \begin{math} \Leftarrow \end{math}
-  Si fa uso di interfacce disponibili su ogni piattaforma GNU/Linux (i.e.
-  \texttt{wext}) per dialogare con il \textit{driver} sottostante.
+  per dialogare con il \textit{driver} sottostante si fa uso delle interfacce
+  \textsc{wext}, disponibili su ogni piattaforma GNU/Linux.
 \end{description}
 
@@ -557,11 +556,11 @@
  \item [Perdita di dati in arrivo]:\\
   \begin{math} \Leftarrow \end{math}
-  La perdita di autenticazione e associazione fra un salto e l'altro comporta
+  la perdita di autenticazione e associazione fra un salto e l'altro comporta
   reali assenze dai BSS che non possono essere evitate; il problema potrebbe
   essere invero gestito da strati di rete superiori ed affidabili (e.g. TCP).
  \item [Prestazioni mediocri]:\\
   \begin{math} \Leftarrow \end{math}
-  I salti e le conseguenti operazioni di riautenticazione, riassociazione e
-  risincronizzazione richiedono tempi nell'ordine dei centesimi di secondi. per
+  i salti e le conseguenti operazioni di riautenticazione, riassociazione e
+  risincronizzazione richiedono tempi nell'ordine dei centesimi di secondi. Per
   avere un'idea dell'entità di questo \textit{overhead} si pensi che lo
   stesso lasso di tempo potrebbe essere impiegato per la trasmissione di un
@@ -575,5 +574,5 @@
 di ridurre i costi di gestione relativi alle soluzioni descritte in
 \ref{sec:soluzioni}.
-È però compito del lettore valutare  a seconda della soluzione scelta la
+È però compito del lettore valutare, a seconda della soluzione scelta, la
 rilevanza specifica che ognuno di essi riveste.
 
@@ -584,6 +583,7 @@
  autenticazione e associazione) o semplicemente conveniente (periodi di
  sincronizzazione dei BSS o di inizio del CFP).
- \item [Impatto dei salti] Il costo dei salti può essere calcolato per
- regolare la frequenza minima con la quale essi sono effettuati.
+ \item [Impatto dei salti]
+ Il costo dei salti può essere calcolato per regolare la frequenza minima con la
+ quale essi sono effettuati.
  \item [Caratteristiche delle comunicazioni]
  Date le alte latenze che possono essere prodotte dai salti di BSS, una
@@ -591,10 +591,10 @@
  può migliorare la qualità della schedulazione.
  \footnotetext{La qualità di servizio (QoS) suggerita è peraltro oggetto dei
- miglioramenti presenti in 802.11e (si veda 80211e).}
+ miglioramenti presenti in \cite{80211e}.}
  \item [Qualità dei BSS]
  Qualora le destinazioni di interesse siano raggiungibili tramite più di uno
  dei BSS di appartenenza, la scelta potrebbe essere banalmente influenzata
  dalla qualità che essi offrono (qualità del segnale, carico di lavoro
- \ldots).
+ \ldots~).
 
 \end{description}